{
  "compilerOptions": {
    "target": "esnext",
    "lib": [
      "dom",
      "dom.iterable",
      "esnext"
    ],
    "allowJs": true,
    "skipLibCheck": true,
    "strict": true,
    "forceConsistentCasingInFileNames": true,
    "noEmit": true,
    "esModuleInterop": true,
    "module": "esnext",
    "moduleResolution": "bundler",
    "types": [
      "jest",
      "node"
    ],
    "resolveJsonModule": true,
    "isolatedModules": true,
    "jsx": "react-jsx",
    "plugins": [
      {
        "name": "next"
      }
    ],
    "paths": {
      "@pages/*": [
        "./pages/*"
      ],
      "@app/*": [
        "./src/app/*"
      ],
      "@assets/*": [
        "./src/assets/*"
      ],
      "@components/*": [
        "./src/components/*"
      ],
      "@config/*": [
        "./src/config/*"
      ],
      "@contexts/*": [
        "./src/contexts/*"
      ],
      "@interfaces/*": [
        "./src/interfaces/*"
      ],
      "@libs/*": [
        "./src/libs/*"
      ],
      "@providers/*": [
        "./src/providers/*"
      ],
      "@utils/*": [
        "./src/utils/*"
      ],
      "@/*": [
        "./src/*"
      ]
    },
    "incremental": true
  },
  "include": [
    "next-env.d.ts",
    "**/*.ts",
    "**/*.tsx",
    ".next*/types/**/*.ts",
    ".next*/dev/types/**/*.ts",
    ".next/types/**/*.ts",
    ".next/dev/types/**/*.ts"
  ],
  "exclude": [
    "node_modules"
  ]
}
